cURL
curl --request PATCH \
--url https://api.timbal.ai/orgs/{org_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"banner_url": "<string>",
"contact_email": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"country": "<string>",
"description": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.timbal.ai/orgs/{org_id}"
payload = {
"banner_url": "<string>",
"contact_email": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"country": "<string>",
"description": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
banner_url: '<string>',
contact_email: '<string>',
contact_name: '<string>',
contact_phone: '<string>',
country: '<string>',
description: '<string>',
name: '<string>'
})
};
fetch('https://api.timbal.ai/orgs/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Organizations
Update Organization
Partially update an organization
PATCH
/
orgs
/
{org_id}
cURL
Omitted fields are left unchanged. To explicitly clear a field, pass it as
null.Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Body
application/json
URL of the organization's banner image
Contact email address
Contact person's name
Contact phone number
ISO 3166-1 alpha-2 country code
Organization description
Organization name
Response
204
Organization updated successfully
⌘I